%define        majversion  %(echo %version | cut -d. -f 1-2)

Name:          libgtkspell
Version:       2.0.16
Release:       2mamba
Summary:       GtkSpell provides on-the-fly spell checking for GtkTextView widgets
Group:         Graphical Desktop/Libraries/GNOME
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gtkspell.sourceforge.net/
Source:        http://downloads.sourceforge.net/project/gtkspell/%{version}/gtkspell-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libatk-devel
BuildRequires: libblkid-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libenchant1-devel
BuildRequires: libexpat-devel
BuildRequires: libffi-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgraphite2-devel
BuildRequires: libgtk2-devel
BuildRequires: libharfbuzz-devel
BuildRequires: libmount-devel
BuildRequires: libpango-devel
BuildRequires: libpcre-devel
BuildRequires: libpng-devel
BuildRequires: libselinux-devel
BuildRequires: libsepol-devel
BuildRequires: libuuid-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: aspell-devel
BuildRequires: docbook-xsl
BuildRequires: gtk-doc
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
GtkSpell provides word-processor-style highlighting and replacement of misspelled words in a GtkTextView widget.
Right-clicking a misspelled word pops up a menu of suggested replacements.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      libgtk-devel
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
GtkSpell provides word-processor-style highlighting and replacement of misspelled words in a GtkTextView widget.
Right-clicking a misspelled word pops up a menu of suggested replacements.

This package contains static libraries and header files need for development.

%prep
%setup -q -n gtkspell-%{version}

%build
%configure \
   --disable-gtk-doc

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang gtkspell

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f gtkspell.lang
%defattr(-,root,root)
%{_libdir}/%{name}.so.*
%doc AUTHORS COPYING 

%files devel
%defattr(-,root,root)
%{_includedir}/gtkspell-%{majversion}/gtkspell/gtkspell.h
%{_libdir}/%{name}.a
%{_libdir}/%{name}.la
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/gtkspell-%{majversion}.pc
%{_datadir}/gtk-doc/html/gtkspell/*
%doc ChangeLog README

%changelog
* Sat Oct 26 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.16-2mamba
- rebuilt against libicu 64.2

* Mon Jan 16 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.16-1mamba
- update to 2.0.16

* Tue Oct 28 2008 gil <puntogil@libero.it> 2.0.14-1mamba
- update to 2.0.14

* Thu Jun 07 2007 Stefano Cotta Ramusino <stefano.cotta@openmamba.org> 2.0.11-1mamba
- update to 2.0.11
- fixed group

* Tue Jul 27 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.0.6-1qilnx
- initial build
